Creating ODU's own google drive rclone client ID
================================================

> This is an internal ITS notes.

* Date: 2022-11-16
* Executor: Wirawan Purwanto

Log of action for creating new client_id
----------------------------------------

(Links below assumed that user ID 1 is the ODU user ID)

Starting point:
https://console.cloud.google.com/projectselector2/apis/dashboard?authuser=1&supportedpurview=project

* Select a project => a popup dialog box
  - Select from: [ODU.EDU]
  - Click "NEW PROJECT"
  - Created a new project named "ODU-RCS-rclone"

* Enable API & Services
  - Enable "Google Drive API"

* Go to "Credentials" tab (on left sidebar)
  https://console.cloud.google.com/apis/credentials?authuser=1&project=odu-rcs-rclone&supportedpurview=project

  - Click the "Configure Consent Screen" button
  - Select "Internal" user type

* App information (for the consent screen)

  - App name: rclone for ODU research computing
  - User support email: wpurwant@odu.edu
  - App logo: ODU-logo-120px.png

  App domain:
  - Application home page: https://odu.edu/hpc
  - Application privacy policy link: (blank)
  - Application terms of service link: (blank)

  Authorized domains:
  - odu.edu

  Developer contact into:
  - Email: wpurwant@odu.edu

* (next page) Scopes

  Added the following access:

      Google Drive API	.../auth/drive	See, edit, create, and delete all of your Google Drive files
      Google Drive API	.../auth/drive.appdata	See, create, and delete its own configuration data in your Google Drive
      Google Drive API	.../auth/drive.file	See, edit, create, and delete only the specific Google Drive files you use with this app
      Google Drive API	.../auth/drive.metadata	View and manage metadata of files in your Google Drive
      Google Drive API	.../auth/drive.metadata.readonly	See information about your Google Drive files
      Google Drive API	.../auth/drive.photos.readonly	View the photos, videos and albums in your Google Photos
      Google Drive API	.../auth/drive.readonly	See and download all your Google Drive files
      Google Drive API	.../auth/drive.activity	View and add to the activity record of files in your Google Drive

  All of the scopes above are sensitive except: drive.appdata and drive.file .

* Go back to the "Credentials" tab

* Now press "Create Credentials"
  - Choose type: OAuth Client ID
  - Application type: Desktop App
  - Name: rclone client for ODU research computing


Obtained the following ID:

  - Your Client ID: 605919805393-odnfmddo2v24ffodmg80j6ht4oi4kftn.apps.googleusercontent.com
  - Your Client Secret: GOCSPX-###REDACTED###

