Finetuning Large Language Models
================================


"Finetuning Large Language Models"
https://www.deeplearning.ai/short-courses/finetuning-large-language-models/
https://learn.deeplearning.ai/finetuning-large-language-models/lesson/1/introduction
Taught by Sharon Zhou

Free course, registration required.

From the course website:

"Join our new short course, Finetuning Large Language Models! Learn
from Sharon Zhou, Co-Founder and CEO of Lamini, and instructor for the
GANs Specialization and How Diffusion Models Work.

When you complete this course, you will be able to:

  * Understand when to apply finetuning on LLMs
  * Prepare your data for finetuning
  * Train and evaluate an LLM on your data

With finetuning, you're able to take your own data to train the model
on it, and update the weights of the neural nets in the LLM, changing
the model compared to other methods like prompt engineering and
Retrieval Augmented Generation. Finetuning allows the model to learn
style, form, and can update the model with new knowledge to improve
results."



