Tools and Utilities for BibTeX Citations
========================================

[2023-02-17]


Utilities for Generating BibTeX Citations
-----------------------------------------

When a lot of citations are involved, this becomes a troublesome task.
Having some tools would make our lives easier.


### Converting from text-plain citations to BibTeX entries


https://text2bib.economics.utoronto.ca/

From the site:

> This site converts a list of references in a wide range of styles to BibTeX.
> Minimal requirements for input file:
>
> * Either references are separated by blank lines or each line
>   is a separate reference or each reference starts with
>   `\bibitem{}`, `\bibitem{<label>}`, `\item`, `\bigskip`, or `\smallskip`.
> * Each reference either starts (after possibly one of the separator strings
>   mentioned in the previous point) with a list of authors,
>   which is followed by either a year or a title, or starts with a year;
>   if the authors are followed by a year, the next string is the title.
>
> The conversion is not perfect, but is very good for many reference styles


### Harvesting DOI Metadata as BibTeX Entries

https://www.doi2bib.org/
