Python Tutorials & Short Courses (vol. 1)
=========================================

Mosh's Python for Beginners - Learn Python in 1 Hour
----------------------------------------------------

https://www.youtube.com/watch?v=kqtD5dpn9C8&ab_channel=ProgrammingwithMosh

Length: 1 hr

Key contents:
  * Download & install Python
  * Download & install PyCharm as Python IDE
  * Three basic data types: strings, numbers, boolean (True/False)
  * Variables
  * Simple input (from terminal)
  * String concatenation (`+` operator)
  * Type conversion
  * Simple calculator program
  * String methods



"Python Tutorial - Python Full Course for Beginners"
https://www.youtube.com/watch?v=_uQrJ0TkZlc&ab_channel=ProgrammingwithMosh

TABLE OF CONTENT
```
00:00:00 Introduction
00:01:49 Installing Python 3
00:06:10 Your First Python Program
00:08:11 How Python Code Gets Executed 
00:11:24 How Long It Takes To Learn Python 
00:13:03 Variables
00:18:21 Receiving Input
00:22:16 Python Cheat Sheet
00:22:46 Type Conversion
00:29:31 Strings
00:37:36 Formatted Strings
00:40:50 String Methods
00:48:33 Arithmetic Operations
00:51:33 Operator Precedence
00:55:04 Math Functions
00:58:17 If Statements
01:06:32 Logical Operators
01:11:25 Comparison Operators
01:16:17 Weight Converter Program 
01:20:43 While Loops
01:24:07 Building a Guessing Game
01:30:51 Building the Car Game
01:41:48 For Loops
01:47:46 Nested Loops
01:55:50 Lists
02:01:45 2D Lists
02:05:11 My Complete Python Course 
02:06:00 List Methods
02:13:25 Tuples
02:15:34 Unpacking
02:18:21 Dictionaries
02:26:21 Emoji Converter
02:30:31 Functions
02:35:21 Parameters
02:39:24 Keyword Arguments 
02:44:45 Return Statement
02:48:55 Creating a Reusable Function 
02:53:42 Exceptions
02:59:14 Comments
03:01:46 Classes
03:07:46 Constructors
03:14:41 Inheritance
03:19:33 Modules
03:30:12 Packages
03:36:22 Generating Random Values
03:44:37 Working with Directories 
03:50:47 Pypi and Pip
03:55:34 Project 1: Automation with Python
04:10:22 Project 2: Machine Learning with Python 
04:58:37 Project 3: Building a Website with Django
```

