Python Containers on ODU HPC
============================

This article contains the list of Python containers available on ODU HPC platform for all HPC users.

> The background for the containerized Python can be found on the main documentation page for [Python on HPC Environment](/Software/Python). If 


Python containers with TensorFlow and PyTorch
---------------------------------------------

Since TensorFlow and PyTorch have become wildly popular with the adoption of AI/ML into many scientific disciplines, RCS provides a handful of TensorFlow and PyTorch containers for general uses.



Looking for containers with newer Python?
-----------------------------------------

We have a few modules that contain newer versions of Python:

| Module name               | Current Python version  |
|---------------------------|-------------------------|
| `python3/2023.2-py39`     | Intel Python 3.9.16     |
| `python3/2023.2-py310`    | Intel Python 3.10.11    |

