Singularity: Getting Started
============================


Singularity tutorials
---------------------

<https://singularity-tutorial.github.io/>


Relevant Documentations
-----------------------

* Singularity def files:
  <https://sylabs.io/guides/3.5/user-guide/definition_files.html>


Examples (templates)
--------------------

Examples of Singularity container defs:

<https://github.com/sylabs/examples>




How to build a basic Singularity container
------------------------------------------

Steps:


* create a writable container (called a sandbox)

* shell into the container with the --writable option and tinker with
  it interactively

* record changes that we like in our definition file

* rebuild the container from the definition file if we break it

* rinse and repeat until we are happy with the result

* rebuild the container from the final definition file as a read-only
  singularity image format (SIF) image for use in production


