Google Drive & RClone: Backing Up, Syncing & Copying
====================================================

Rclone supports several modes of syncing:

  - "sync"
  - "copy"

What are the differences?
From rclone's website:

>   "Sync the source to the destination, changing the destination
    only. Doesn't transfer files that are identical on source and
    destination, testing by size and modification time or
    MD5SUM. Destination is updated to match source, including deleting
    files if necessary (except duplicate objects, see below). If you
    don't want to delete files from destination, use the copy command
    instead."  ([ref](https://rclone.org/commands/rclone_sync/))

Unless you want to perform deletion on the destination to match 100%
what's on the source, you will want to first look at the "copy"
operation.



References:

https://www.carc.usc.edu/user-information/user-guides/data-management/transferring-files-rclone