Lessons and Tutorials for Containers in HPC (and Cloud)
=======================================================


"Containers on HPC and Cloud with Singularity"
https://pawseysc.github.io/singularity-containers/
https://github.com/pawseySC/singularity-containers

1. Introduction to containers   
2. Basics of Singularity        
3. Share files with the host: BLAST, a bioinformatics demo      
4. Build and share your own container image           
5. Inside a build definition file     
6. Building images with Docker        
7. GUI enabled web applications: RStudio in a container 
8. Making Python not awful with containers  
9. Computational Fluid Dynamics with MPI containers     
10. Set up writable containers: another bio example with Trinity        
11. Molecular dynamics with GPU containers  
12. Reproducible scientific workflows       
13. GUI applications using X11 windows: the Gnuplot example     
14. Streamline the user experience: bash wrappers and modules   
15. Setup Singularity on your machine    
16. Overview of Docker   
17. Run multi-component web services with Docker Compose        
18. Other notable container tools




